%define ttfdir %_datadir/fonts/default/TrueType-tamil

Name: tamil-fonts-ttf
Version: 1.0
Release: alt2

Summary: Tamil TrueType fonts
Summary (ru_RU.UTF-8): Тамильские TrueType шрифты
License: Distributable
Group: System/Fonts/True type
Url: http://www.tamil.net/tscii/tools.html
Source: tscii-ttf.tar.bz2
BuildArch: noarch
BuildRequires: freetype
PreReq: chkfontpath freetype fontconfig

%description
This Package provides free Tamil TrueType fonts.

%description -l ru_RU.UTF-8
В этом пакете находятся тамильские TrueType шрифты.

%prep
%setup -q -n tscii-ttf

%install
for i in $( ls ); do
   mv "$i" "$( echo $i | sed -e "y/QWERTYUIOPASDFGHJKLZXCVBNM/qwertyuiopasdfghjklzxcvbnm/" )"
done

mkdir -p $RPM_BUILD_ROOT%ttfdir
install -p -m644 *.ttf $RPM_BUILD_ROOT%ttfdir
cd $RPM_BUILD_ROOT%ttfdir
%_sbindir/ttmkfdir -o ./fonts.dir >& /dev/null
ln -s %_sysconfdir/X11/encodings.dir encodings.dir
touch fonts.cache-1

%post
%_bindir/fc-cache %ttfdir
/usr/sbin/chkfontpath -q --add %ttfdir

%postun
/usr/sbin/chkfontpath -q --remove %ttfdir

%files
%ttfdir

%changelog
* Sun Aug 24 2003 Vyacheslav Dikonov <slava@altlinux.ru> 1.0-alt2
- Changed dir
- Cleanups

* Fri Nov 29 2002 Vyacheslav Dikonov <slava@altlinux.ru> 1.0-alt1
- ALTLinux build
